PULSAR
API ReferenceBackoffice

Update Machine Configuration

Update machine configurations in bulk

Authorization

bearerAuth superuser
Authorization<token>

In: header

Scope: superuser

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

Try it live
PATCH
/backoffice/machines/config

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X PATCH "https://example.com/backoffice/machines/config" \  -H "Content-Type: application/json" \  -d '{    "companyId": 0.1,    "updatedConfigs": [      {        "customThresholdConfig": 0.1,        "isActive": true,        "minimumPercentageForThreshold": 0,        "needsML": true,        "order": 0.1,        "ref": "string",        "threshold": 0,        "title": "string"      }    ]  }'
Empty